#pragma once

#include <fstream>

namespace pnm
{

  enum class Format {
    PGM,
    PPM
  };

  bool read_header(std::ifstream& istr, Format& type, unsigned int& width, unsigned int& height);
  bool write_header(std::ofstream& ostr, Format type, unsigned int width, unsigned int height);

}
